#if !defined(KBASICDEMOWINDOW)
#define KBASICDEMOWINDOW

#include <kmainwindow.h>

class KBasicDemoWindow :
public KMainWindow
{
	Q_OBJECT // Makro fr Qt-Objekt-Automatismen

	public:
	KBasicDemoWindow();
	virtual ~KBasicDemoWindow();

	public slots: // empfangene Meldungen
	void drawOneMore();
	void clearDrawing();
	void moveDrawing(int value);

	signals: // gesendete Meldungen
	void gotSoManyObjects(int n);

	protected:
	virtual void paintEvent(QPaintEvent *dummy);

	private:
	int numPoints;
	int distance;
	int x[10], y[10];
	KAction* clearAction;
	KAction* oneMoreAction;
};

#endif



